Page MenuHomePhabricator

Fatal error: Call to undefined function Kartographer\Wikimedia\suppressWarnings() in /srv/mediawiki/php-1.33.0-wmf.9/extensions/Kartographer/includes/ApiQueryMapData.php on line 49
Closed, ResolvedPublic

Description

Noticed after deploying 1.33.0-wmf.9 to group 0:

Fatal error: Call to undefined function Kartographer\Wikimedia\suppressWarnings() in /srv/mediawiki/php-1.33.0-wmf.9/extensions/Kartographer/includes/ApiQueryMapData.php on line 49

https://logstash.wikimedia.org/app/kibana#/dashboard/Fatal-Monitor?_g=h@bfc149c&_a=h@140f841

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2018, 3:01 PM
zeljkofilipin triaged this task as Unbreak Now! priority.Dec 18 2018, 3:01 PM
Restricted Application added subscribers: Liuxinyu970226, Mholloway, TerraCodes. · View Herald TranscriptDec 18 2018, 3:01 PM

Changes in Kartographer since 1.33.0-wmf.8: MediaWiki_1.33/wmf.9/Changelog#Kartographer

A couple of commits change includes/ApiQueryMapData.php: 479615, 479455

Looks like this is relevant commit: 479455

includes/ApiQueryMapData.php

...
+ Wikimedia\suppressWarnings();
...

Pinging relevant people: @Fomafix @MaxSem @Mholloway @MSantos @Krinkle @Jdforrester-WMF

Change 480512 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/extensions/Kartographer@master] Actually import the Wikimedia class

https://gerrit.wikimedia.org/r/480512

Change 480512 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Actually import the Wikimedia class

https://gerrit.wikimedia.org/r/480512

Change 480527 had a related patch set uploaded (by Jforrester; owner: Mholloway):
[mediawiki/extensions/Kartographer@wmf/1.33.0-wmf.9] Actually import the Wikimedia class

https://gerrit.wikimedia.org/r/480527

Change 480527 merged by Thcipriani:
[mediawiki/extensions/Kartographer@wmf/1.33.0-wmf.9] Actually import the Wikimedia class

https://gerrit.wikimedia.org/r/480527

Change 480678 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Kartographer@master] Fix using at-ease functions in namespaced class

https://gerrit.wikimedia.org/r/480678

Change 480687 had a related patch set uploaded (by Mholloway; owner: Legoktm):
[mediawiki/extensions/Kartographer@wmf/1.33.0-wmf.9] Fix using at-ease functions in namespaced class

https://gerrit.wikimedia.org/r/480687

Change 480678 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Fix using at-ease functions in namespaced class

https://gerrit.wikimedia.org/r/480678

Is this resolved? Train is blocked on moving forward until this is resolved.

Should be resolved after the European Mid-day SWAT coming up shortly.

Change 480687 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@wmf/1.33.0-wmf.9] Fix using at-ease functions in namespaced class

https://gerrit.wikimedia.org/r/480687

Mentioned in SAL (#wikimedia-operations) [2018-12-19T12:23:05Z] <zfilipin@deploy1001> Synchronized php-1.33.0-wmf.9/extensions/Kartographer/: SWAT: [[gerrit:480687|Fix using at-ease functions in namespaced class (T212218)]] (duration: 00m 53s)

Mholloway closed this task as Resolved.Dec 19 2018, 12:33 PM
Mholloway claimed this task.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM